For AI agents: a documentation index is available at the root level at /llms.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
subaccount_idstringRequired
Subaccount ID.
Request
This endpoint expects an object.
subaccount_namestringOptional
The name for the new subaccount. This should be a unique identifier that distinguishes it from other subaccounts within the main account.
invite_user_emailstringOptional
This is the email address of the user you wish to invite to the subaccount. When this optional parameter is filled in, a "sign in" link will be generated and sent back in the response. The user can use this link to sign in and set up their account.
twilio_account_sidstringOptional
This is the Twilio SID of the subaccount.
twilio_auth_tokenstringOptional
This is the Twilio Token of the subaccount.
concurrencyintegerOptional
The maximum calls the subaccount can handle at once.
max_agentsinteger or nullOptional
The maximum number of agents the subaccount is allowed to create. Null if no limit is set.
max_minutesinteger or nullOptional
The maximum number of minutes allocated to this subaccount. Null if no limit is set.
max_workflow_runsinteger or nullOptional
The maximum number of workflow runs allocated to this subaccount. Null if no limit is set.
minutes_usedintegerOptional>=0
The minutes already consumed by this subaccount. Set it to 0 to reset usage, for example at the start of a customer’s billing cycle.
grant_permissionslist of enumsOptional
Permissions to grant to the subaccount. Duplicate values are not allowed, and any value also present in revoke_permissions is rejected by the API.
revoke_permissionslist of enumsOptional
Permissions to revoke from the subaccount. Duplicate values are not allowed, and any value also present in grant_permissions is rejected by the API.
operation_typeenumOptional
The type of operation to perform. You can import objects from the parent workspace to a subaccount or return objects from a subaccount in some cases.
Allowed values:
productsobjectOptional
Objects to be imported to or returned from the subaccount_id
pricing_tiers_attachlist of objectsOptionalDeprecated
Has no effect. In-product reselling was removed on September 15, 2026.
pricing_tiers_detachlist of objectsOptionalDeprecated
Has no effect. In-product reselling was removed on September 15, 2026.
import_subscriptionobjectOptionalDeprecated
Has no effect. In-product reselling was removed on September 15, 2026.